package ru.dbotthepony.mc.otm.screen.panels;

import net.minecraft.client.gui.components.EditBox;
import net.minecraft.client.gui.screens.Screen;
import net.minecraft.network.chat.Component;
import ru.dbotthepony.mc.otm.screen.MatteryScreen;

import javax.annotation.Nonnull;
import javax.annotation.Nullable;

public class EditBoxPanel extends MinecraftWidgetPanel<EditBox> {
	public EditBoxPanel(@Nonnull MatteryScreen<?> screen, @Nullable EditablePanel parent, float x, float y, float width, float height, Component component) {
		super(screen, parent, x, y, width, height, (panel) -> {
			return new EditBox(screen.getFont(), 0, 0, (int) panel.getWidth(), (int) panel.getHeight(), component);
		});
	}

	@Override
	protected void copyValues(EditBox new_widget, EditBox old_widget) {
		new_widget.setValue(old_widget.getValue());
	}

	@Override
	protected void onFocusChanged(boolean new_focused, boolean old_focused) {
		widget.setFocus(new_focused);
	}

	@Override
	protected boolean mouseClickedInner(double mouse_x, double mouse_y, int flag) {
		requestFocus();
		return widget.mouseClicked(mouse_x, mouse_y, flag);
	}
}
